org.apache.ignite.plugin.extensions.communication

## Interface IoPool

All Superinterfaces:
  Extension

    public interface IoPool
    extends Extension

The interface of IO Messaging Pool Extension.

### Method Summary

All Methods Instance Methods Abstract Methods
`Executor` `executor()` Gets the Executor for this Pool.
`byte` `id()` Gets the numeric identifier of the pool.

### Method Detail

#### id

    byte id()

Gets the numeric identifier of the pool. This identifier is to be taken from serialized message and used to find the appropriate executor pool to process it.

Returns:
  The id.

#### executor

    Executor executor()

Gets the Executor for this Pool. Cannot be null.

Returns:
  The executor.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018